summaryrefslogtreecommitdiffstats
path: root/recoll
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-11-19 20:38:50 +0000
committer Eric Hameleers <alien@slackware.com>2007-11-19 20:38:50 +0000
commit8acbfd7c374562728f8502d0cc1672b737e5e732 (patch)
tree54333f70422926c83c1f7ceda6784e87d8cafdb7 /recoll
parentc00aba97a0ebe3ff1104a6e9c1b4b0650850382c (diff)
downloadasb-8acbfd7c374562728f8502d0cc1672b737e5e732.tar.gz
asb-8acbfd7c374562728f8502d0cc1672b737e5e732.tar.xz
Update for the new release
Diffstat (limited to 'recoll')
-rwxr-xr-xrecoll/build/recoll.SlackBuild59
1 files changed, 20 insertions, 39 deletions
diff --git a/recoll/build/recoll.SlackBuild b/recoll/build/recoll.SlackBuild
index 80cbdead..31a27326 100755
--- a/recoll/build/recoll.SlackBuild
+++ b/recoll/build/recoll.SlackBuild
@@ -35,6 +35,8 @@
# 1.8.1-2: 19/May/2007 by Eric Hameleers <alien@slackware.com>
# * Fixed the location of the user manual, so that Recoll can
# actually display it.
+# 1.9.0-1: 19/nov/2007 by Eric Hameleers <alien@slackware.com>
+# * Update to a new release.
#
# Run 'sh recoll.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -42,13 +44,11 @@
#
# -----------------------------------------------------------------------------
-# --- INIT ---
# Set initial variables:
-
PRGNAM=recoll
-VERSION=${VERSION:-1.8.1}
+VERSION=${VERSION:-1.9.0}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
DOCS="COPYING ChangeLog INSTALL README VERSION"
@@ -105,36 +105,22 @@ case "$ARCH" in
;;
esac
-if [ ! -d $TMP/tmp-$PRGNAM ]; then
- mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-elif [ "$P1" != "--oldbuild" ]; then
- # If the "--oldbuild" parameter is present, we keep
- # the old build files and continue;
- # By default we remove the remnants of previous build and continue:
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
-
-if [ ! -d $PKG ]; then
- mkdir -p $PKG # place for the package to be built
-else
- rm -rf $PKG/* # We always erase old package's contents:
-fi
-
-if [ ! -d $OUTPUT ]; then
- mkdir -p $OUTPUT # place for the package to be saved
-fi
-
-
-# --- SOURCE FILE AVAILABILITY ---
+# Create working directories:
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # We always erase old package's contents:
+mkdir -p $OUTPUT # place for the package to be saved
+# Source file availability:
if ! [ -f ${SOURCE} ]; then
if ! [ "x${SRCURL}" == "x" ]; then
# Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
- wget -nv -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ]; then
+ wget -nv -T 10 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
@@ -150,23 +136,21 @@ if [ "$P1" == "--download" ]; then
exit 0
fi
-# --- PACKAGE BUILDING ---
-
+# Build the software:
echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"
cd $TMP/tmp-$PRGNAM
-
echo "Extracting the source archive(s) for $PRGNAM..."
if `file ${SOURCE} | grep -q ": bzip2"`; then
tar -xjvf ${SOURCE}
elif `file ${SOURCE} | grep -q ": gzip"`; then
tar -xzvf ${SOURCE}
fi
-chown -R root:root *
-chmod -R u+w,go+r-w,a-s *
cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
echo Building ...
LDFLAGS="$SLKLDFLAGS" \
@@ -175,20 +159,17 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--sysconfdir=/etc \
+ --with-inotify \
--program-prefix="" \
--program-suffix="" \
--build=$ARCH-slackware-linux \
2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
- # Not yet - needs 2.6 kernelheaders and a patch:
- # --with-inotify \
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-#
# Install all the needed stuff to the package dir
-#
# Use installwatch if available, to produce a logfile of the installation
# process that is more easily readable:
-if `which installwatch > /dev/null 2>&1`; then
+if $(which installwatch > /dev/null 2>&1); then
installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
else
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
@@ -205,13 +186,13 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
-# Compress the man page(s)
+# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
for i in `find $PKG/usr/man -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi
-# Strip binaries
+# Strip binaries:
cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true